integrations.sh
← all integrations

Loket.nl API

OpenAPI apis-guru enterprise

Is this your first time here? Please check out our

The initial loading time of this developer portal may be very long due to the large number of endpoints designs being rendered when loading the page. We are looking into an alternative solution but for now please bear in mind.

General

The Loket.nl API is a RESTful API that exposes the data and features of the Loket.nl platform. The API accepts and returns JSON and can only be accessed by registered users. This documentation describes version 2 of the API.

Are you looking to partner up and start building an integration based on the Loket RESTful API? Please check out the steps for partners on our .

Have you received your client and user credentials from us? Check out the following Postman collection to help you start making your first API calls on our acceptance environment. We would recommend to install the Postman desktop app.

Do you want to contact us with any further questions or remarks regarding the Loket RESTful API? Please send an email to , and we will get back to you.

Environments

The Loket.nl API has two different environments. The first environment is the "acceptance" environment which is used during development and returns test data. The second environment is the production environment which is to be used exclusively by approved applications. Both environments have their own URLs.

  • The acceptance environment can be accessed at
  • The production environment can be accessed at

OpenAPI documentation

The endpoints are defined using the , an industry-wide recognized standard for describing REST API's.

Please note: the endpoint documentation in this portal is not designed to be fully compatible with any automatic code generation tools.

Change policy

Over the course of time the API, and policies regarding the API can and will change. These changes are subject to the following guidelines.

The following states hold true for the change policy for this API.

  • Loket.nl may sometimes introduce changes to the API and policies without advance notice.
  • Loket.nl will try to inform users of any (breaking) change in advance.
  • Loket.nl will not be liable to you or any third party for such modifications or any adverse effects resulting from such modifications.
  • Loket.nl will try to avoid breaking changes as much as possible.

Notification periods

In regard to changes Loket.nl will strive to adhere to the following notification periods per type of change. Due to our versioning strategy at resource level this API has the possibility to run multiple versions of the same resource at one time. This allows for a window in which both the old and new version are available. Allowing for a gradual move to the new version.

Type of changeNotification periodSupport period old version
Non breaking change2 weeksno new version
Breaking change2 weeks6 months
CriticalDue to the nature of these changes we might not be able to follow the normal procedure for change managmentdepends on the severity of the issue

We define a non breaking change as follows. Any change to the API that does not cause failures in the applications that consume that API.

  • Introducing a new optional field to an existing resource
  • Introducing a new endpoint
  • Introducing a new operation (GET/PUT/POST/PATCH/DELETE)
  • Introducing a new optional parameter to an endpoint
  • Introducing a new version for a resource

We define a breaking change as follows. any change to an API that could potentially cause failures in the applications that consume that API.

  • Changing an existing JSON element (name, datatype, pattern, min/max length etc)
  • Removing a JSON element, endpoint, operation or parameter
  • Introducing a required JSON element
  • Introducing a required parameter to an endpoint
  • Passing the obsoleteDate of a version for a resource

Versioning

The Loket API uses two types of versioning. API versioning and resource versioning.

API versioning

API versioning is done via the path where after the domain URL (api.loket.nl) the path starts with the API version. The current version of the API is V2. The API version is expected to change rarely as resource versioning is available to tackle most issues that need versioning.

Resource versioning

Every JSON resource in the API is versioned via the Accept header. Allowing users of the API to influence what version is returned by setting the mandatory accept header. The Accept header of request should have a value like application/json;version=2018-01-01. Here, the second part of the header is used to refer to a specific version of the resource (2018-01-01). When calling the API it is possible to supply other dates rather than the exact resources version(s). The businesslogic will select the version that is ON or BEFORE the given date.

For example: let's say there are two versions of a resource. These are 2018-01-01 and 2018-09-01. When calling the API you supply application/json;version=2018-08-01, in that case the API will use the version 2018-01-01 as its the nearest version in the past.

A response returns what resourceVersion was used and the 'obsoleteDate' of that version (in most cases this is NULL). The obsoleteDate indicates when the resources version will no longer be available via the API. With the introduction of a new version of a resource the obsoleteDate for the old version will be set to 6 months after the introduction of the new resource. Allowing consumers of the resource 6 months to incorporate the change. Failure to do so will likely lead to failure in the implementation.

In this developer portal you can find the service contracts for each, active, version of a resource. If, only if, there are multiple versions of a resource you can select the corresponding schema at that resource.

Changelog

The changelog for this API can be found .

We strongly advise every user ofthe Loket REST API the subscribe to the email feed. Please check out the link on the changelog page.

Legal notices

Your use and access to the API is expressly conditioned on your compliance with the policies and restrictions related to the API. If Loket.nl believes that you have or attempted to violate any term, condition, or the spirit of these policies or agreements, your right to access and use the API may be temporarily or permanently revoked.

Authentication

Authorization in the Loket API is based on the industry-standard OAuth 2.0 protocol. For general information on OAuth 2.0 we kindly refer to the publicly-available documentation,

An authorized user is required to call the Loket API.

Note: This is an SSL-only API.

Note: Only TLS 1.2 is supported.

EnvironmentTokenUrl
Acceptance
Production

The following OAuth 2.0 flows are supported

  • Authorization Code flow (standard)
  • Refresh Token flow (extension on the Authorization Code Flow)
  • SSO flow (single sign-on)
  • Password flow

Authorization code flow

For most clients only the authorization_code (and thus refresh_token) will be supported. Password grant type is not available for an external client.

Please click the link below to see documentation on implementing the authorization code flow by external clients.

Refresh token flow

After the authorization code flow yields a refresh token the refresh_token grant can be used to obtain an access/bearer token. The expire time of the access/bearer is also returned in the response please take this into account. With the refresh token flow the two factor step will be skipped.

Refresh token request example:

POST /token grant_type=refresh_token&refresh_token={RefreshToken123}&client_Id={Client123}&client_secret={Secret123}

Refresh token response example:

json
{  "access_token": "JESJDhMBy0NPTM9SiXmYAzW45clOiQ5wSyDq3VWluguGNoKym4WPSiJoTDx67TQ",  "token_type": "bearer",  "expires_in": 3599,  "refresh_token": "nGJtF6j6SeQbHAg",  "two_factor_state": "None"}

SSO flow

The SSO (single sign-on) flow is based on OAuth 2.0 and requires the authorization flow to be completed.

For more information see:

Please note: Among other things, it is possible to set up an SSO flow with both Loket en Werknemerloket.

Password flow

The password flow is typically NOT enabled for external clients. Only by exception will the password flow be enabled for security (and practical) reasons.

Password token request examples:

POST /token grant_type=password&username={UserName123}&password={Password123}&client_Id={Client123}&client_secret={Secret123}

Whether client_secret is required is dependent on the configuration of the client.

Authorization

In this section we explain how the API authorization service determines if a request is authorized or not.

The authorization entities

EntityDescription
ClientLoket.nl used the client as an additional authorisation entity. By linking clients to activities clients can only perform those activities they are linked to.
UserIs linked to a client (by performing the authorization code flow) and to a set of rechten (configuration in loket.nl)
Module (product)Enables certain functionality for the provider/employer. Modules can be enabled and disabled on both provider and employer level.
RoleInfluences if certain "rechten" are available to the users with said role. It can also influence the scope of the data returned. For example: the API will deny an "afdelings manager" access to employee's that are not in the "afdeling" (department) that user is manager of
ActivityEvery action in the API has its own activity. Using the Open API 3.0 standard these activity names are incorporated in the documentation using the operationId and in most cases are named in the description of an endpoint.
Rights (rechten)Represent a group of activities.

The authorization process

This flow assumes that both user and client are correctly configured and have access to the API.

  1. Does the client have access to the activity?
  2. Does the user have access to the activity (through "recht")?
  3. Does the role have access to the activity (through "recht")?
  4. Does the provider/employer have the required module enabled for the activity?
  5. Does the user have access to the specified entity/ID?

If the answer to all the questions above is yes then the request is authorized otherwise the request is denied with a HTTP status code 403 (Forbidden). See the simplified authorization flow in the figure below.

Side note: users are linked to rechten and clients are linked to activities. This leaves room for discrepancies. Where a client cannot perform the activity because the client is not authorized to call that activity even though the user does have the "recht" granting access to the activity.

Loket authorization flow

Which users can use the API

In almost all use-cases a Loket user should meet the following requirements to successfully setup an integration with that user.

  • The user must be a normal Loket user (so NOT a webservice user)
  • The user must be active (not blocked)
  • The user must have access to an employer
    • For provider users this is done by assigning the user to the appropriate Team(s)
    • For employer users this is done by creating a user for or linking the user to the appropriate employer(s)
  • The user must have all appropriate rights
    • For provider users this is done by assigning appropriate rights via Team (or alternatively, directly to the user)
    • For employer users this is done by assigning appropriate rights to the user on employer level

How to setup an integration is described in the section.

Side notes:

  • A user can have access to multiple employers with different rights per employer.
  • Please note that users set up to use the SOAP webservices (webservicegebruikers) are in no way suited to perform calls to the RESTful API, these require entirely different user set-ups.
  • User management on production is typically done by the provider (i.e. the accountant) and sometimes the employer. This is NOT something Loket.nl itself can do.

Data

Data types

The Loket.nl API accepts and returns JSON. Comform the the following data types are supported:

  • string
  • number (point is used to separate the integer part from the fractional part of a number)
  • integer (from OpenAPI)
  • object
  • array
  • boolean

For most of these types, further specifications can be found in the format and pattern specifications in the service contract. For example a format: date added to a string field indicates a valid date must be supplied.

Metadata

Fields of the type 'metadata' are fields for which the possible values can be acquired via the metadata endpoint of the resource.

The metedata can be obtained by appending /metadata to the current endpoint. Using the GET verb the endpoint will return a JSON output with "all" the metadata for the given resource. In some cases multiple requests are needed to obtain all the metadata required, an exmple is given below. Typically different metadata endpoints are availalbe for the POST and the PUT endpoint.

If metadata endpoints are avaible for a given endpoint/resource is mentioned in the description of that endpoint.

Example response

json
{[  {      "field": "gender"      options: [          {          "key": 1,          "value":"Man"          }          {          "key": 2,          "value":"Vrouw"          }      ]   },   {      "field": "country"      options: [          {          "isoCode":"NL",          "key": 530,          "value":"Nederland"          }          {          "isoCode":"BE",          "key": 540,          "value":"België"          }      ]   }
]}

Example urls

Acquiring metadata for a POST Wage

/v2/providers/employers/employees/employments/{employmentId}/wages/metadata

Acquiring metadata for a PUT employee

/v2/providers/employers/employees/{employeeId}/metadata

Multiple requests to get all the metadata

In some cases there are metadata fields dependant on the selected value off another metadata field. Such is the case when adding a new concept employee. This is done in the employer context while several of the metadata fields are dependant on the payrollAdministration context.

For example:

Request 1, first of a normal metadata request is performed. The response for this request will contain a list of payrolladministration for the given employer.

/v2/providers/employers/b869ded6-0659-4d8d-9a8a-f9e22425ec9c/jobapplicant/metadata

Request 2, when a payrolladministration is selected perform a second request to acquire the payrolladministration specific metadata.

/v2/providers/employers/jobapplicant/metadata/payrolladministration/54369214-14a1-41ab-892a-ea8438e34d6f

Request 3, if a payScale is selected perform a third request to acquire the payGrade for that payScale.

/v2/providers/employers/jobapplicant/metadata/salaryScaleType/54369214-14a1-41ab-892a-ea8438e34d6f

Types of metadata

We diferentiate between two types of metadata.

  1. Generic metadata field. The possible values for these fields are the same for every object no matter the provider, employer or employee etc. Examples are: country, gender and nationality.
  2. Context specific metadata field. Examples of contexts are employer, payroll administration, provider and Loket.nl. In most cases the possible values for these field are resources in themselves and can be managed via the API. If a metadata field is context specific the context is given in the description of the field. Examples are: function, department and leaveType.

Note: some context specific metadata field can have multiple contexts.

For example: it is possible to define an export set in the provider context. Making that export set available for all payroll administrations linked to the provider. It is also possible to add an export set in the payroll administration context. That export set is only available to that payroll administration. When requesting the metadata of export set the user will be presented with a combined list of the provider and payroll administration export sets.

Default values

Many fields in the API have a default value. In order to assist our API users to adhere to these defaults when creating a record (POST) we provide /defaults endpoints.

  • An object returned by the defaultsendpoint resembles a fully expanded GET-object of that resource. The only case when a part of the object is NOT fully expanded is for a metaData-object that does not have a default value (for example '"gender":NULL').
    • Whether an object within the resource is of the type metaData is indicated in the service contracts of that resource.
  • Context is determined by the GUID given in the Path. Examples are employer, payroll administration, employee and employment.
  • A scope is sometimes required to determine the defaults values. A scope could be a date by which Loket.nl can determine what default was active on that date. The scope can be set by supplying additional paraments in the request. If a scope is required but none is given the currently active or last know value is returned.
  • The fields with no default will be set to null (even if the field is normally non-nullable).
  • Because the GET-object is returned the readonly fields are also returned.

An example endpoint would be:

/v2/providers/employers/employees/employments/{employmentId}/payrollperioddata/defaults

resulting in the following output:

json
{  "payrollPeriod": null,  "shift": {      "shiftNumber": 1  },  "payslipType": {      "key": 2  },  "payslipText": null,  "distributionUnit": {      "key": "b14acd0d-75d7-4fc8-8b22-4a3924585cab"  },  "costCenter": {      "key": 2  },  "costUnit": {      "key": 2  },  "payrollComponents": []}

Note: Defaults endpoints are not yet generically available. If a Defaults endpoint exists this will be explicitly stated at that specific resource.

Date chains

For most of the resources with a startDate and endDate a chain is maintained. Chain meaning that no records can overlap in time. Loket.nl has two types of chains.

  1. Broken chain: It is posible for gaps te exist between the records. It is also posible to add new records in between or before existing records aslong as no overlap occures.

  2. Linked chain: No gaps between records are allowed. Its only posible to add new records to the end of the chain resulting in the closing of the reviouse record with the start date -1 as end date.

Note: Chains are sometimes maintained with an additional context. For example, For benefits and deductions the broken chain is maintained per payrollComponent. It is possible to have multiple active records for different payrollComponent never two active records for the same payrollComponent.

Custom export

For some GET (list) endpoints the API supports exporting (part of) the output JSON as a XML/CSV file. This is done by setting the X-ReportInput and Accept header.

The Accept header supports the following 2 options:

  • CSV (text/csv;version=yyyy-MM-dd)
  • Excel (application/vnd.openxmlformats-officedocument.spreadsheetml.sheet;version=yyyy-MM-dd)

The X-ReportInput is a custom header that requires a JSON object with the following structure as input.

The filename without extension for the report 'FileNameWithoutExtension' delimiter --> The delimiter to be used. If not set "," is used Array of objects 'fields' with 2 fields:

  1. fieldName --> A Xpath reference to the field to be included in the export
  2. reportColumnName --> The column name for the field
  3. format --> Allows only for date formatting. e.g. dd-MM-yyyy for csv or dd-mm-yyyy for Excel (Excel only usses lowercase) 3.1 For CSV: see 3.2 For Excel:

Example X-ReportInput:

json
{"fileNameWithoutExtension":"MyExport","delimiter": ";","fields":  [    {      "fieldName": "startDate",      "reportColumnName": "In dienst datum",      "format": "dd-MM-yyyy"    },    {      "fieldName": "personalDetails.firstName",      "reportColumnName": "First Name"    },    {      "fieldName": "personalDetails.lastName",      "reportColumnName": "Last Name"    }  ]}

Example request:

CURL
curl --location --request GET 'https://api.loket.nl/v2/providers/employers/155c8440-8ff6-4776-98db-5d2243a073e3/employees?orderby=employeeNumber' \--header 'Content-Type: application/json' \--header 'Accept: text/csv;version=2020-08-18' \--header 'X-ReportInput: {"FileNameWithoutExtension":"MyExport","Fields":[{"fieldName":"personalDetails.initials","reportColumnName":"Initials"},{"fieldName":"personalDetails.firstName","reportColumnName":"First name"},{"fieldName":"personalDetails.lastName","reportColumnName":"Last name"}]}' \--header 'Authorization: Bearer ZKoiC_g_NfYA3v0' \

Request

A request to the Loket.nl API consists of several components. Each of these components are discussed in this section.

Base URL

The API can be accessed at . The version of the API is specified in the URL. The current version of the Loket.nl API is version 2. To access version 2 of the API, one simply appends v2 to the base URL. The full base URL of the API is therefore .

Endpoints

The endpoints defined in the OpenAPI definition of the Loket.nl API are appended to the base URL. For example, the endpoint /providers/employers/{employerId}/employees can be accessed at .

Path parameters

Most endpoints require path parameter(s) in order to specify the context of the request. For example, the endpoint /providers/employers/{employerId}/employees contains the employerId path parameter. A path parameter is a unique identifier that identifies a specific resource, in this case an employer.

Pagination

The API supports two query parameters to control the pagination of the results: pageNumber and pageSize. Both of these query parameters only apply to endpoints that return lists of entities.

The pageNumber query parameter specifies which page of the collection to return. By default pageNumber is set to 1 which returns the first page of the collection. Note: the pageNumber refers to the page (with a given number of entities), NOT to a specific entity within a page!

The pageSize query parameter influences the number of entities per page. By default pageSize is set to 250. Note that this default may change in the future. It is not recommended to depend on this default when developing for the Loket.nl API.

Examples:

  • ?pageNumber=2 to return the second page
  • ?pageSize=2 to set the page size to two

Filtering

The API supports output filtering via the querystring parameter filter.

Filtering is possible on all fields of the following datatypes:

  • string
  • integer
  • boolean
  • date-time
  • decimals

The following operators are available:

OperatorDescriptionExample
Comparison Operators
eqEqualcity eq 'Redmond'
neNot equalcity ne 'London'
lkLikecity lk 'Lond'
gtGreater thanprice gt 20
geGreater than or equalprice ge 10
ltLess thanprice lt 20
leLess than or equalprice le 100
Logical Operators
andLogical andprice le 200 and price gt 3.5
orLogical orprice le 3.5 or price gt 200

Both field names and values are case insensitive. It is possible to filter on nested fields by adding the parent object before the field with a '.' to separate them. Do remember to URL encode the filter parameters.

Examples

All employments with a cancellation periode in months (the value 4 corresponds to months time unit).


/v2/providers/employers/{{employerId}}/employees/employments?filter=cancellationPeriodTimeUnit.key eq 4

All employments with no endDate.s


/v2/providers/employers/{{employerId}}/employees/employments?filter=enddate eq null

All employments with an end date less or equal to 2017-01-01


/v2/providers/employers/{{employerId}}/employees/employments?filter=enddate le '2017-01-01'

All employees with a employee number greater or equal 1 and less or equal 5


/v2/providers/employers/{{employerId}}/employees?filter=employeeNumber ge 1 and employeeNumber le 5

Ordering

All Loket.nl API resources support ordering of the elements in the response on a specific field. All fields can be used in ordering. The list can be ordered in ascending or descending order, with ascending being the default one. Ordering on multiple fields is also by using a ',' as a separator.

Examples

Order employers by company name ascending


/v2/providers/employers?orderBy=companyName

Order employers by company name descending


/v2/providers/employers?orderBy=-companyName

Order employers by company name descending then by house number ascending


/v2/providers/employers?orderBy=-companyName,address.houseNumber

Headers

In order to access the endpoints of the Loket.nl API, at least two request headers need to be set.

1) the Authorization header is required in order to authorize the API call. The value of this header is the word Bearer followed by a space and the access token acquired from the /token endpoint. For example, if the acquired access token is AbCdEf123456, the value of the Authorization headers would be:

Authorization: Bearer v69uloc3wcEFLePw2unot0FfAJfBocrvSwsrCo75JLUG7aE54zqSUnU

2) The second header that is required for proper usage of the API, is the Accept header. This header is used for the resource versioning feature and is therefore crucial for making sure the response remains the same when new resource versions are introduced. The value of the Accept header differs per endpoint is defined in the OpenAPI documentation of the endpoints.

Accept: application/json;version=2018-01-01

3) In case of a PUT and sometimes a PATCH a third header is optional the if-match header. This header is used for concurrency control. Even though the header is optional we advise using this header on every PUT(PATCH) to ensure not losing data.

if-Match: aslkhas987da09s8udasd09a

Response

In addition to the responses defined in the OpenAPI documentation, the Loket.nl API also provides additional fields that give more information about the response and the entities requested. This section will explain the full response given by the Loket.nl API by examining the example response below.

Example 400 response

json

{    "version": {        "obsoleteDate": null,        "versionNumber": "2018-01-01,    },    "messages": [        {            "code": 83,            "id": null,            "type": "BrokenBusinessRule",            "description": "[field] has an invalid length",            "properties": []        }    ],    "_embedded": []}

Example 200 response

json

  {      "totalSize": 1,      "pageSize": 250,      "totalPages": 1,      "currentPage": 1,      "version": {          "obsoleteDate": null,          "resourceVersion": "2018-01-01"      },      "messages": [],      "content": {          "id": "2b4c119c-527c-4cbb-a5b2-f3a11e4b76cx",          ...      }  }

Paging

  • totalSize has an integer value indicating the total number of entities irrespective of the page size.

  • pageSize has an integer value indicating the maximum number of entities returned per page. The page size can be influenced by setting the pageSize query parameter. See the section Query Parameters for more information.

  • totalPages has an integer value indicating the number of pages the requested collection holds given the specific pagesize.

  • currentPage has an integer value indicating the current page number. The current page number can be influenced by setting the pageNumber query parameter. See the section Query Parameters for more information.

Version

The version object provides information regarding the resource version of the entity requested.

  • obsoleteDate contains the date of discontinuation for the requested resource version. The value of this field can be null indicating that the requested resource version is not planned to be obsoleted at the time of the request.

  • resourceVersion shows the version of the requested entity. The resource version can be influenced by setting the Accept header.

Messages

The messages field contains a list of message objects related to the request made. Any warnings and errors will be communicated in this list of messages

  • type has a string value indicating the type of message. At this time the Loket.nl API supports five types of messages: BrokenBusinessRule, Warning, Exception, ConcurrencyViolation and NotFound .

  • description has a string value that describes the message that has occurred.

  • code is an identifying code for the message. Please note that this code may change in the future. See the documentation portal for possible message codes for an endpoint.

  • id relates the message to a specific entity in the reponse list. For example, in cases where a warning occurs for one of the entities in a list, the value of this field can be used to identify to which entity the warning applies. Currently implemented for endpoints where a multi-patch is performed (multiple actions are performed within one call) for example updating the status of one or more leaveRequests.

  • properties an array that can contain additional information regarding the message. Currently not yet fully implemented.

  • _embedded contains the list of entities as defined for each endpoint in the OpenAPI documentation. Please refer to that documentation for the contents of the _embedded field for each endpoint. For endpoints that return only one entity (detail endpoints) the _embedded field is replaced with a content field. The content of this field can also be found in the documentation for each endpoint.

Headers

  • etag header is returned with every GET of a detail (single resource). This header is used for concurrency controle
  • Expires header is returned with every response to indicate how long a response can be cached
  • Content-Disposition header is used in case of downloads to provide a file name

HTTP status codes

The Loket.nl API supports the following http status codes.

CodeIs returned when
200The request to GET, PUT, PATCH or DELETE and object was recived and processed succesfully. The response might still contain messages of the type warning.
201The request to insert (POST) a new object was recived and processed succesfully. The response might still contain messages of the type warning.
400The request was received but could not be processed. The reason(s) will be given in the response. The content type of the response may be text/plain for API-level error messages, such as when trying to call the API without SSL otherwise the content will be application/json.
401The bearer token provided in the authorization header is invalid. Do not retry the request until a new (valid) bearer token is acquired.
403The user is not authorized to access the resource. The reason will be given in the response. Do not retry the request until the, configuration, issue is resolved.
404The resource requested was not found/does not exist.
409The give if-match header in a PUT request no longer represents the current state of the object. Please acquire the current state off the object, via a GET, and resolve the differences then try again.
50*A unforseen error occurred. Please check the request if everything seems te be in order on your side contact the support team. Provide as much information as possible to resolve the issue.

Note: for a limited number of endpoint a so-called multi-patch may be performed (multiple actions within one call). In that case the status code will be 200 if at least on of the actions succeeds, if other any action(s) in that call fail(s) a message will be returned including the given id of that entity.

Caching

The API uses the Expires header to indicate how long the item can be reused from the local cache. In most cases caching is not allowed for resources. Exceptions excist, such as pictures like the employer logo and the employee photo, in these cases the cache duration is mentioned in the description of the resource. *_

Homepage
https://api.apis.guru/v2/specs/loket.nl/V2.json
Provider
loket.nl
OpenAPI version
3.0.2
Spec (JSON)
https://api.apis.guru/v2/specs/loket.nl/V2/openapi.json
Spec (YAML)
https://api.apis.guru/v2/specs/loket.nl/V2/openapi.yaml

Tools (643)

Extracted live via the executor SDK.

  • abpFunds.deleteAbpFundByAbpFundId

    Activity name : DeleteAbpFundByAbpFundId

    Delete an existing abp fund record.

  • abpFunds.getAbpFundByAbpFundId

    Activity name : GetAbpFundByAbpFundId

    Get the details of an abp fund

  • abpFunds.getAbpFundsByEmploymentId

    Activity name : GetAbpFundsByEmploymentId

    Get a list of the abp funds the employment partakes in.

  • abpFunds.postAbpFundByEmploymentId

    Activity name : PostAbpFundByEmploymentId

    Metadata : Possible options for fields of the type "metadata" can be acquired (GET) by adding /metadata to the POST URL.

    Defaults : Default values for a new object can be acquired by adding `/defaults" to the POST URL.

    Activate an abp fund for an employment`

  • abpFunds.putAbpFundByAbpFundId

    Activity name : PutAbpFundByAbpFundId

    Metadata : Possible options for fields of the type "metadata" can be acquired (GET) by adding /metadata to the PUT URL.

  • absence.deleteAbsenceByAbsenceId

    Activity name : DeleteAbsenceByAbsenceId

    Delete an existing absence (for an employee). If succesfull, this function also deletes the underlying absence progress records

  • absence.getAbsenceByAbsenceId

    Activity name : GetAbsenceByAbsenceId

    Get the details of an Absence

  • absence.getAbsenceOverviewByEmployeeId

    Activity name : GetAbsenceOverviewByEmployeeId

    Download the absence overview (verzuim) for a given time frame

    Metadata : No metadata

  • absence.getAbsencesByEmployeeId

    Activity name : GetAbsencesByEmployeeId

    Get a list of all absences for the given employee

  • absence.patchCloseAbsenceByAbsenceId

    Activity name : PatchCloseAbsenceByAbsenceId

    A succesfull call to this endpoint will close the absence and the underlying absence progress (with an empty endDate).

  • absence.patchReopenAbsenceByAbsenceId

    Activity name : PatchReopenAbsenceByAbsenceId

    When performing a succesfull call to this endpoint, then the absence and the underlying absence progress will we reopend. Both endOfAbsenceDate and endOfAbsenceReason will be set to null

  • absence.postAbsenceByEmployeeId

    Activity name : PostAbsenceByEmployeeId

    Metadata : Possible options for fields of the type 'metadata' can be acquired (GET) by adding /metadata to the POST URL.

    Defaults : Default values for a new object can be acquired by adding `/defaults' to the POST URL.

    Add an Absence (=verzuimmelding) for an employee.

    Please note that if this endpoint is called succesfully both an absence (=verzuimmelding) AND one underlying absence progress (=verzuimverloop) will be created. `

  • absence.putAbsenceByAbsence

    Activity name : PutAbsenceByAbsenceId

    Metadata : Possible options for fields of the type 'metadata' can be acquired (GET) by adding /metadata to the PUT URL.

    Edit the details of am Absence

  • absenceProgress.deleteAbsenceProgressByAbsenceProgressId

    Activity name : DeleteAbsenceProgressByAbsenceProgressId

    Delete an existing Absence Progress (for an employee). There always has to remain one record of absence progress for an absence. This last record is removed when the absence is deleted.

  • absenceProgress.getAbsenceProgressByAbsenceId

    Activity name : GetAbsenceProgressByAbsenceId

    Get a list of absence progress (verzuimverloop) for a specific absence (verzuimmelding).

  • absenceProgress.getAbsenceProgressByAbsenceProgressId

    Activity name : GetAbsenceProgressByAbsenceProgressId

    Get the details of an Absence Progress

  • absenceProgress.postAbsenceProgressByAbsenceId

    Activity name : PostAbsenceProgressByAbsenceId

    Metadata : Possible options for fields of the type 'metadata' can be acquired (GET) by adding /metadata to the POST URL.

    Defaults : Default values for a new object can be acquired by adding `/defaults' to the POST URL.

    Add an Absence Progress (=Ziekteverloop) for an employee. As is common with closed chain entities, the endDate of the previous record will be filled depending on the startDate of the new one.

    Practically this means that a full recovery notification has been performed. `

  • absenceProgress.putAbsenceProgressByAbsenceProgress

    Activity name : PutAbsenceProgressByAbsenceProgressId

    Metadata : Possible options for fields of the type 'metadata' can be acquired (GET) by adding /metadata to the PUT URL.

    Edit the details of an absence progress

  • achmea.getAchmeaInsuranceContractsByUserId

    Activity name : GetAchmeaInsuranceContractsByUserId Get a list of all Achmea insurance contracts accessible to the current user

  • achmea.getWagePercentagesByAchmeaInsuranceContractId

    Activity name : GetWagePercentagesByAchmeaInsuranceContractId

    Get a list of all wage percentages (year-end bonus and holiday allowance percentages) for an Achmea insurance contract.

  • activateEmployeeProfile.patchEmployeeProfileByEmploymentId

    Activity name : PatchEmployeeProfileByEmploymentId

    Create Fondsen, Grondslagen and toeslagen based on the employment's employeeProfile.

  • actuals.getActualBenefitsAndDeductionsByEmployerId

    Activity name: GetActualBenefitsAndDeductionsByEmployerId

    Get the list of actual benefitsanddeductions for an employer

  • actuals.getActualOrganizationalEntitiesByEmployerId

    Activity name: GetActualOrganizationalEntitiesByEmployerId

    Get the list of actual organizational entities for an employer

  • actuals.getActualPartnersByEmployerId

    Activity name: GetActualPartnersByEmployerId

    Get the list of Actual partners for all employees of an employer

  • actuals.getActualWagesByEmployerId

    Activity name: GetActualWagesByEmployerId

    Get the list of actual wages for an employer

  • actuals.getActualWorkingHoursByEmployerId

    Activity name: GetActualWorkingHoursByEmployerId

    Get the list of actual working hours for an employer

  • actuals.getChildrenByEmployerId

    Activity name: GetChildrenByEmployerId

    Get the list of Children for all employees of an employer

  • actuals.getContactsByEmployerId

    Activity name: GetContactsByEmployerId

    Get the list of Contacts for all employees of an employer

  • address.getAddressByPostalCodeAndHouseNumber

    Activity name : GetAddressyByPostalCodeAndHouseNumber
    Acquire the address for a combination of postalCode and houseNumber. Only Dutch addresses are supported. Both the postalCode and houseNumber have to be specified as query parameters to perform a succesful call to this endpoint. The city and street name returned by this endpoint are according to the nen standard

  • administration.getAdministrationsByEmployerId

    Activity name : GetAdministrationsByEmployerId

    Get a list of all administrations (both payroll and non-payroll) for an employer. This endpoint only returns properties that are shared between payroll and non-payroll administrations. For more detailed properties, use the respective endpoints for payroll and non-payroll administrations.

  • announcement.getAnnouncementsByEmployerId

    Activity name : GetAnnouncementsByEmployerId

    Get a list of announcements for an employer. The list contains a isRead parameter.

  • announcement.patchAnnouncements

    Activity name : PatchAnnouncementsByEmployerId

    Mark announcements as read

  • aowDate.getAowDateByDateOfBirth

    Activity name: GetAowDateByDateOfBirth

    This endpoint allows the user to acquire the AOW date of an employee.

  • apgPensionDeclaration.getApgPensionDeclarationByApgPensionDeclarationId

    Activity name : GetApgPensionDeclarationByApgPensionDeclarationId

    Details of APG pension declaration

  • apgPensionDeclaration.getApgPensionDeclarationsByPayrollAdministrationId

    Activity name : GetApgPensionDeclarationsByPayrollAdministrationId

    A list of APG pension declarations for an administration

  • apgPensionDeclaration.getMessageByApgPensionDeclarationId

    Activity name : GetMessageByApgPensionDeclarationId

    Download the message of the APG pension declaration (pensioenaangiftebericht) in xml. Please note that this does NOT refer to the response message, but to the initial message i.e. pensioenaangiftebericht.

  • apgPensionDeclaration.getOverviewByApgPensionDeclarationId

    Activity name : GetOverviewByApgPensionDeclarationId

    Download the APG pension declaration overiew

  • apgPensionDeclaration.patchApgPensionDeclarationByApgPensionDeclarationId

    Activity name : PatchApgPensionDeclarationByApgPensionDeclarationId

    This endpoints changes the status of the Apg pensiondeclaration based on the provided action.

  • apgPensionDeclaration.postInitiateApgPensionDeclarationByPayrollAdministrationId

    Activity name : PostInitiateApgPensionDeclarationByPayrollAdministrationId

    Initiate the pension declaration for the next available period for the payrolladministration. Information about the next available periode can be obtained using the defaults endpoint (/defaults)

  • application.getApplicationAuthorizationsByApplicationId

    Activity name : GetApplicationAuthorizationsByApplicationId

    Get the authorizations of the application. We expose which activities are accessable by the application and which "rechten" and "producten" are required for the user/employer to enable those activities.

  • application.getApplicationLogo

    Activity name : GetApplicationLogo

    This activity is listed twice in the documentation due to the specified version caching path parameter. Including or exluding this parameter results in slightly different behaviour.

    Caching: This resource changes very infrequently and can be cached for a longer time.

    Get the logo of the application. In case no logo is know the service will return a 404.

  • application.getAvailableApplicationsByEmployerId

    Activity name: GetAvailableApplicationsByEmployerId

    List of all the applications available to the employer.

  • application.getLinkedUsersByEmployerIdAndApplicationId

    Activity name: GetLinkedUsersByEmployerIdAndApplicationId

    List of all users that are configred to have both access to the employer and have an connection with the application.

  • applicationsets.deleteProviderApplicationSetByApplicationSetId

    Activity name: DeleteProviderApplicationSetByApplicationSetId

    Delete an applicationset for the provider

  • applicationsets.deleteUserApplicationSetByApplicationSetId

    Activity name: DeleteUserApplicationSetByApplicationSetId

    Delete an applicationset for the user

  • applicationsets.getApplicationsetsByProviderId

    Activity name: GetApplicationsetsByProviderId

    Get the list of Applicationsets for a provider.

  • applicationsets.getApplicationsetsByUserId

    Activity name: GetApplicationsetsByUserId

    Get the list of Applicationsets for a user.

  • applicationsets.postApplicationSetByProviderId

    Activity name: PostApplicationSetByProviderId

    Create an applicationset for a provider.

  • applicationsets.postApplicationSetByUserId

    Activity name: PostApplicationSetByUserId

    Create an applicationset for a user.

  • applicationsets.putProviderApplicationSetByApplicationSetId

    Activity name: PutProviderApplicationSetByApplicationSetId

    Edit the details for an applicationset.

  • applicationsets.putUserApplicationSetByApplicationSetId

    Activity name: PutUserApplicationSetByApplicationSetId

    Edit the details for an applicationset.

  • assessment.getAssessmentsByEmployerId

    Activity name : GetAssessmentsByEmployerId

    Retrieve a list of assessments.

  • assessment.postInitiateAssessmentByConceptEmployeeId

    Activity name : PostInitiateAssessmentByConceptEmployeeId

    Metadata: No metadata available. No defaults available.

    Initiate the proces to perform an assessment for a concept employee.

  • attachmentOfEarnings.deleteAttachmentOfEarningsByAttachmentOfEarningsId

    Activity name : DeleteAttachmentOfEarningsByAttachmentOfEarningsId

    Delete an existing attachment of earnings record

  • attachmentOfEarnings.getAttachmentOfEarningsByAttachmentOfEarningsId

    Activity name : GetAttachmentOfEarningsByAttachmentOfEarningsId

    Get the details of an attachment of earnings record

  • attachmentOfEarnings.getAttachmentOfEarningsByEmploymentId

    Activity name : GetAttachmentOfEarningsByEmploymentId

    Get a list of attachment of earnings records

  • attachmentOfEarnings.postAttachmentOfEarningsByEmploymentId

    Activity name : PostAttachmentOfEarningsByEmploymentId

    Create a new attachment of earnings record for an employment.

    Metadata : Possible values for fields of the type 'metadata' can be acquired (GET) by adding /metadata to the URL

    Defaults : Default values for a new object can be acquired by adding /defaults' to the POST URL.

  • attachmentOfEarnings.putAttachmentOfEarningsByAttachmentOfEarningsId

    Activity name : PutAttachmentOfEarningsByAttachmentOfEarningsId

    Update the details of a single attachment of earnings record

    Metadata : Possible values for fields of the type 'metadata' can be acquired (GET) by adding /metadata to the URL

  • auditTrail.getEmployeeDataAuditTrailByEmployerId

    Activity name : GetEmployeeDataAuditTrailByEmployerId

    Get the mutations for the all the tables linked to the employee (this includes employment and underlying entities).

  • auditTrail.getPayrollPeriodDataAuditTrailByPayrollAdministrationId

    Activity name : GetPayrollPeriodDataAuditTrailByPayrollAdministrationId

    Returns the changes that were made in the payroll period data from the given start up to and including the given end date.

  • auditTrail.getProvidersEmployersPayrolladministrationsPayrollAdministrationIdAuditTrailPayrollPeriodData

    Activity name : GetPayrollPeriodDataAuditTrailByPayrollAdministrationId

    Get the audit trail for the payroll period data.

  • auditTrailPayrollRun.getEmploymentPayrollDataAuditTrailByPayrollAdministrationId

    Activity name : GetEmploymentPayrollDataAuditTrailByPayrollAdministrationId

    Returns the changes that were made in the payroll data for the employments.

    This includes resources such as (allmost all payroll related resources except payroll period data which has its own audit trail download):

    • Wage
    • Working hours
    • Bennefits and deductions
    • Employment
    • Fiscal properties
    • Organizational entity
  • authorizations.getAuthorizationsByEmployerId

    Activity name : GetAuthorizationsByEmployerId

    Get the array of activities the user is authenticated for with regard to the specified employer

  • authorizations.getAuthorizationsByProviderId

    Activity name : GetAuthorizationsByProviderId

    Get the array of activities the user is authenticated for with regard to the specified provider. This endpoint is only accessible for providerusers.

  • authorizationSets.getAuthorizationSetsByAuthorizationSetId

    Activity name : GetAuthorizationSetsByAuthorizationSetId

    Details of an authorization set.

  • authorizationSets.getAuthorizationSetsByProviderId

    Activity name : GetAuthorizationSetsByProviderId

    List the available authorization sets.

  • baseForCalculation.deleteBaseForCalculationByBaseForCalculationId

    Activity name : DeleteBaseForCalculationByBaseForCalculationId

    Delete an existing base for calculation

  • baseForCalculation.getBaseForCalculationByBaseForCalculationId

    Activity name : GetBaseForCalculationByBaseForCalculationId

    Get the details of a base for employment fund calculations.

  • baseForCalculation.getBasesForCalculationByEmploymentId

    Activity name : GetBasesForCalculationByEmploymentId

    Get a list of the bases (money) that are used as the base for certain calculations.

  • baseForCalculation.postBaseFundCalculationByEmploymentId

    Activity name : PostBaseForCalculationByEmploymentId

    Metadata : Possible options for fields of the type 'metadata' can be acquired (GET) by adding /metadata to the POST URL.

    Defaults : Default values for a new object can be acquired by adding /defaults to the POST URL.

    Add a base for calculation record.

  • baseForCalculation.putBaseForCalculationByBaseForCalculationId

    Activity name : PutBaseForCalculationByBaseForCalculationId

    Metadata : Possible options for fields of the type 'metadata' can be acquired (GET) by adding /metadata to the PUT URL.

    Edit the properties of a base for calculation

  • baseForEmploymentFundCalculation.deleteBaseForEmploymentFundCalculationByBaseForEmploymentFundCalculationId

    Activity name : DeleteBaseForEmploymentFundCalculationByBaseForEmploymentFundCalculationId

    Delete an existing base for employment fund calculation

  • baseForEmploymentFundCalculation.getBaseForEmploymentFundCalculationByBaseForEmploymentFundCalculationId

    Activity name : GetBaseForEmploymentFundCalculationByBaseForEmploymentFundCalculationId

    Get the details of a base for employment fund calculations.

  • baseForEmploymentFundCalculation.getBasesForEmploymentFundCalculationByEmploymentId

    Activity name : GetBasesForEmploymentFundCalculationByEmploymentId

    Get a list of the bases (money) that are used in employment fund calculations.

  • baseForEmploymentFundCalculation.postBaseForEmploymentFundCalculationByEmploymentId

    Activity name : PostBaseForEmploymentFundCalculationByEmploymentId

    Metadata : Possible options for fields of the type "metadata" can be acquired (GET) by adding /metadata to the POST URL.

    Defaults : Default values for a new object can be acquired by adding `/defaults" to the POST URL.

    Add a base for employment fund calculation. `

  • baseForEmploymentFundCalculation.putBaseForEmploymentFundCalculationByBaseForEmploymentFundCalculationId

    Activity name : PutBaseForEmploymentFundCalculationByBaseForEmploymentFundCalculationId

    Metadata : Possible options for fields of the type "metadata" can be acquired (GET) by adding /metadata to the PUT URL.

    Edit the properties of a base for employment calculation

  • benefitInKind.deleteBenefitInKindByBenefitInKindId

    Activity name : DeleteBenefitInKindByBenefitInKindId

    Delete an existing benefit in kind record

  • benefitInKind.getBenefitInKindByBenefitInKindId

    Activity name : GetBenefitInKindByBenefitInKindId

    Get the details of a benefit in kind

  • benefitInKind.getBenefitsInKindByEmploymentId

    Activity name: GetBenefitsInKindByEmploymentId Get a list of the Benefits in kind of the employment.

  • benefitInKind.postBenefitInKindByEmploymentId

    Activity name : PostBenefitInKindByEmploymentId

    Metadata: Possible options for fields of the type 'metadata' can be acquired(GET)by adding /metadata to the POST URL.

    Defaults: Default values for a new object can be acquired by adding /defaults' to the POST URL.

  • benefitInKind.putBenefitInKindByBenefitInKindId

    Activity name : PutBenefitInKindByBenefitInKindId

    Metadata : Possible options for fields of the type 'metadata' can be acquired (GET) by adding / metadata to the PUT URL.

  • benefitInKindType.deleteBenefitInKindTypeByBenefitInKindTypeId

    Activity name : DeleteBenefitInKindTypeByBenefitInKindTypeId

    Delete an existing benefit in kind type record

  • benefitInKindType.getBenefitInKindTypeByBenefitInKindTypeId

    Activity name : GetBenefitInKindTypeByBenefitInKindTypeId

    Get the details of an benefit in kind type

  • benefitInKindType.getBenefitInKindTypesByEmployerId

    Activity name : GetBenefitInKindTypesByEmployerId

    Get a list of the benefit in kind types for an employer.

    Note: The benefit in kind types defined at the employer level can be used as value for the field typeOfBenefitInKind in the BenefitInKind resource at the employment level.

  • benefitInKindType.postBenefitInKindTypeByEmployerId

    Activity name : PostBenefitInKindTypeByEmployerId

  • benefitInKindType.putBenefitInKindTypeByBenefitInKindTypeId

    Activity name : PutBenefitInKindTypeByBenefitInKindTypeId

  • benefitsAndDeductions.deleteBenefitsAndDeductionsByBenefitsAndDeductionsId

    Activity name : DeleteBenefitsAndDeductionsByBenefitsAndDeductionsId

    Delete a benefit or deduction for the employment

  • benefitsAndDeductions.getBenefitsAndDeductionsBybenefitsAndDeductionsId

    Activity name : GetBenefitsAndDeductionsBybenefitsAndDeductionsId

    Get a benefit or deduction for the employment

  • benefitsAndDeductions.getBenefitsAndDeductionsByEmploymentId

    Activity name : GetBenefitsAndDeductionsByEmploymentId

    Get a list of benefits and deductions for the employment

  • benefitsAndDeductions.postbenefitsAndDeductionsByEmploymentId

    Activity name : PostBenefitsAndDeductionsByEmploymentId

    Add a benefit or deduction for the employment

    Metadata : Possible options for fields of the type 'metadata' can be acquired (GET) by adding /metadata to the POST URL.

    Defaults : Default values for a new object can be acquired by adding /defaults to the POST URL.

  • benefitsAndDeductions.putBenefitsAndDeductionsByBenefitsAndDeductionsId

    Activity name : PutBenefitsAndDeductionsByBenefitsAndDeductionsId

    Update a benefit or deduction for the employment Metadata : Possible options for fields of the type 'metadata' can be acquired (GET) by adding /metadata to the POST URL.

  • billableItem.getBillableItemsByEmployerId

    Activity name : GetBillableItemsByEmployerId

    Get a list of all billable items for the employer.

  • billableItems.getBillableItemsByProviderId

    Activity name : GetBillableItemsByProviderId

    Get a list of all billable items for the provider.

  • calendar.getCalendarAbsencesByEmployerId

    Activity name : GetCalendarAbsencesByEmployerId

    For a calendar, this endpoint return the absence calendar items PER specific employment.

    This endpoint only returns objects for which the employment meets the filter settings set at the user level. Note that filter settings are set for a user <-> employer <-> client combination.

  • calendar.getCalendarAvailableHoursByEmployerId

    Activity name : GetCalendarAvailableHoursByEmployerId

    For a calendar, this endpoint returns the availability of an employment expressed as a pattern for both odd and even weeks. Note that multiple patterns can be active in the time period that is requested using the query parameter startDate and endDate. While multiple patterns can be returned, on any date only one pattern is active. The patterns do not overlap.

    The available hours for a day are determined by the bi-weekly work pattern (as defined in the Working Hours resource) if such a work pattern is present for the employment. If no bi-weekly work pattern is present and the employment is NOT an on-call employment than the number of standard hours (either shiftHours or deviatingHoursPerWeek) is equally divided over the working days within each week (Monday through Friday).

    This endpoint only returns objects for which the employment meets the filter settings set at the user level. Note that filter settings are set for a user <-> employer <-> client combination.

  • calendar.getCalendarLeaveByEmployerId

    Activity name : GetCalendarLeaveByEmployerId

    This endpoint return the leave calendar items for each employment. Please note: this endpoint only will return calendar items based on leave of the type 'opname'.

    This endpoint only returns objects for which the employment meets the filter settings set at the user level. Note that filter settings are set for a user <-> employer <-> client combination.

  • calendar.getCalendarLeaveRequestsByEmployerId

    Activity name : GetCalendarLeaveRequestsByEmployerId

    For a calendar, this endpoint return the leave requests calendar items PER specific employment.

    Please note: this endpoint only will return calendar items based on leave request with status 'ingediend'.

    This endpoint only returns objects for which the employment meets the filter settings set at the user level. Note that filter settings are set for a user <-> employer <-> client combination.

  • chamberOfCommerce.getCompanyInformationByChamberOfCommerceNumber

    Activity name: GetCompanyInformationByChamberOfCommerceNumber

    This endpoint allows the user to acquire basic company information for a specific chamber of commerce number.

  • changeAddressRequest.postChangeAddressRequestByEmployeeId

    Activity name: PostChangeAddressRequestByEmployeeId

    Allows the user to submit a change address request. Request because this request will trigger a workflow that might require the change to be approved.

    Metadata : Possible options for fields of the type 'metadata' can be acquired (GET) by adding /metadata to the POST URL.

    Defaults : Default values for a new object can be acquired by adding /defaults' to the POST URL.

  • changeContactinformationRequest.postChangeContactInformationRequestByEmployeeId

    Activity name: PostChangeContactInformationRequestByEmployeeId

    Allows the user to submit a change contactinformation request. Request because this request will trigger a workflow that might require the change to be approved.

  • child.deleteChildByChildId

    Activity name : DeleteChildByChildId

    Delete an existing child (for an employee)

  • child.getChildByChildId

    Activity name : GetChildByChildId

    Get the details of a child

  • child.getChildrenByEmployeeId

    Activity name : GetChildrenByEmployeeId

    Get the list of children of the employee

  • child.postChildByEmployeeId

    Activity name : PostChildByEmployeeId

    Metadata : Possible options for fields of the type 'metadata' can be acquired (GET) by adding /metadata to the POST URL.

    Defaults : Default values for a new object can be acquired by adding `/defaults' to the POST URL.

    Add a child for an employee `

  • child.putChildByChildId

    Activity name : PutChildByChildId

    Metadata : Possible options for fields of the type 'metadata' can be acquired (GET) by adding /metadata to the PUT URL.

    Edit the details of a child

  • collectiveBenefitsAndDeductions.postCollectiveBenefitsAndDeductionsByEmployerId

    Activity name : PostCollectiveBenefitsAndDeductionsByEmployerId

    Create new benefits and deduction records for multiple employments of an employer

  • collectiveLeave.postCollectiveLeaveByEmployerId

    Activity name: PostCollectiveLeaveByEmployerId

    Post leave for a set of employments under an employer.

    Metadata : There is no metadata endpoint for this resource.

    Defaults : Defaults are available at /defaults.

  • collectiveWage.postCollectiveWageByEmployerId

    Activity name : PostCollectiveWageByEmployerId

    Create new grosswage records for multiple employments of an employer

  • companyCar.deleteCompanyCarByCompanyCarId

    Activity name: DeleteCompanyCarByCompanyCarId

    Delete a company car record for the employment

    Please note this resource is related for the registration of the company car for HRM purposes. This resource is NOT related to the registration of the fiscal company car(s) which is used in salary calculations.

  • companyCar.getCompanyCarByCompanyCarId

    Activity name: GetCompanyCarByCompanyCarId

    Get the details of a company car

    Please note this resource is related for the registration of the company car for HRM purposes. This resource is NOT related to the registration of the fiscal company car(s) which is used in salary calculations.

  • companyCar.getCompanyCarsByEmploymentId

    Activity name: GetCompanyCarsByEmploymentId

    Get the list of company cars for an employment.

    Please note this resource is related for the registration of the company car for HRM purposes. This resource is NOT related to the registration of the fiscal company car(s) which is used in salary calculations.

  • companyCar.postCompanyCarByEmploymentId

    Activity name: PostCompanyCarByEmploymentId

    Create a company car record for an employment.

    Please note this resource is related for the registration of the company car for HRM purposes. This resource is NOT related to the registration of the fiscal company car(s) which is used in salary calculations.

    Metadata : Possible options for fields of the type 'metadata' can be acquired (GET) by adding /metadata to the POST URL.

    Defaults : There are no defaults available.

  • companyCar.putCompanyCarByCompanyCarId

    Activity name: PutCompanyCarByCompanyCarId

    Edit the details for a company car record.

    Please note this resource is related for the registration of the company car for HRM purposes. This resource is NOT related to the registration of the fiscal company car(s) which is used in salary calculations.

    Metadata : Possible options for fields of the type 'metadata' can be acquired (GET) by adding /metadata to the PUT URL.

  • conceptEmployee.deleteConceptEmployeeByConceptEmployeeId

    Activity name : DeleteConceptEmployeeByConceptEmployeeId

    Delete a concept employee

  • conceptEmployee.getCitizenServiceNumberByConceptEmployeeId

    Activity name : GetCitizenServiceNumberByConceptEmployeeId

    Get the citizen service number (BSN) of a concept employee. BSN is separately authorized in Loket and is therefore designed to have its own activities.

  • conceptEmployee.getConceptEmployeeByConceptEmployeeId

    Activity name : GetConceptEmployeeByConceptEmployeeId

    Get the details of a concept employee

  • conceptEmployee.getConceptEmployeeMinimizedByConceptEmployeeId

    Activity name : GetConceptEmployeeMinimizedByConceptEmployeeId

    Get the details of a concept employee with fewer fields

  • conceptEmployee.getConceptEmployeesByEmployerId

    Activity name : GetConceptEmployeesByEmployerId

    Get a list of all concept employee for the given employer. Concept employee can be used as a template/prefill when creating a new employee/employment.
    This function may also be used in case one does not have all the required fields to create a new employee/employment. The validations are disabled for a concept employee allowing one to create a concept employee filling only a subset of available fields, then later "promoting" the Concept employee in loket.nl to employee/employment.

  • conceptEmployee.patchConvertToEmployeeByConceptEmployeeId

    Activity name : PatchConvertToEmployeeByConceptEmployeeId

    This endpoint "converts" the conceptEmployee to an actual employee in Loket. This means creating a number of records including Employee, Employment, WorkingHours, Wage etc. If the promotion is succesful the concept employee record will be deleted.

    The GUID of the conceptEmployee will be copied over to the GUID of the newly created Employee.

    Before performing these steps, quite a number of validations are performed to ensure that the provided information can be used to create a functionally valid employee.

    If the employeeNumber is empty then this will be set automatically for the employee. (i.e. highest available number +1)

    Additional functionality :

    • It is possible to call an alternative functionality closely related to this functionality. This additional functionality will perform the validation ONLY, and it will NOT convert the conceptEmployee to an actual employee even when all validation rules are successful. Other than not performing the actual step of converting the employee the endpoint will behave identically to the actual endpoint.
    • This functionality can be applied by setting the optional X-ValidateOnly header to true
  • conceptEmployee.postConceptEmployeeByEmployerId

    Activity name : PostConceptEmployeeByEmployerId

    Create a concept employee for an employer

    • Possible options (metadata) for generic fields of the type "metadata" can be acquired (GET) by adding /metadata to the URL.
    • Possible options dependent on a specific payrollAdministration can be acquired via ../providers/employers/conceptemployees/metadata/payrolladministration/{payrollAdministrationId}.
    • Possible options for payGrade can be acquired via ../providers/employers/conceptemployees/metadata/payrolladministration/{payrollAdministrationId}/payscale/{payScaleKey}. A payGrade has time based values dictating the wage for a given period. These values can be acquired by performing another metadata request to GET ../providers/employers/conceptemployees/metadata/payrolladministration/{payrollAdministrationId}/payscale/{payScaleKey}/paygrade/{payGradeKey}. This endpoint has the optional parameter "date" that may be used to specifying a measure date.

    Defaults : Default values for a new object can be acquired by adding /defaults to the POST URL.

    Default values that are dependent on the selected payroll administration can be acquired by adding /providers/employers/conceptemployees/defaults/payrolladministration/{payrollAdministrationId} to the POST URL.

    NonPayrollAdministrations For nonPayrollAdministrations the equivalent MetaData-endpoints are also available as described above. However NO specific defaults endpoint is available for the nonPayrollAdministration.

  • conceptEmployee.putCitizenServiceNumberByConceptEmployeeId

    Activity name : PutCitizenServiceNumberByConceptEmployeeId

    Update the citizen service number (BSN) of a concept employee BSN is separately authorized in Loket and is therefore designed to have its own activities.

  • conceptEmployee.putConceptEmployeeByConceptEmployeeId

    Activity name : PutConceptEmployeeByConceptEmployeeId

    Edit the details of a concept employee

    • Possible options (metadata) for generic fields of the type "metadata" can be acquired (GET) by adding /metadata to the URL.
    • Possible options dependent on a specific payrollAdministration can be acquired via ../providers/employers/conceptemployees/metadata/payrollAdministration/{payrollAdministrationId}.
    • Possible options for payGrade can be acquired via ../providers/employers/conceptemployees/metadata/payrolladministration/{payrollAdministrationId}/payscale/{payScaleKey}.

    A payGrade has time based values dictating the wage for a given period. These values can be acquired by performing another metadata request ../providers/employers/conceptemployees/metadata/payscale/{payScaleKey}/paygrade/{payGradeKey}.

    NonPayrollAdministrations For nonPayrollAdministrations the equivalent MetaData-endpoints are also available as described above. However NO specific defaults endpoint is available for the nonPayrollAdministration.

  • conceptEmployee.putConceptEmployeeMinizedByConceptEmployeeId

    Activity name : PutConceptEmployeeMinimizedByConceptEmployeeId

    Edit the details of a concept employee with fewer fields.

    • Possible options (metadata) for generic fields of the type "metadata" can be acquired (GET) by adding /metadata to the URL.
  • conceptEmployeeDossier.deleteDocumentByConceptEmployeeIdAndDocumentId

    Activity name: DeleteDocumentByConceptEmployeeIdAndDocumentId

    Delete a document in the concept employee dossier

  • conceptEmployeeDossier.deleteDossierByConceptEmployeeId

    Activity name: DeleteDossierByConceptEmployeeId

    Delete a complete dossier, with all documents in it, for the concept employee

  • conceptEmployeeDossier.getAuditTrailByConceptEmployeeIdAndDocumentId

    Activity name : GetAuditTrailByConceptEmployeeIdAndDocumentId

    Get audittrail for the document in the concept employee dossier.

  • conceptEmployeeDossier.getDocumentByConceptEmployeeIdAndDocumentId

    Activity name : GetDocumentByConceptEmployeeIdAndDocumentId

    Download the file of a given concept employee dossier entry. Via Qwoater.

  • conceptEmployeeDossier.getDocumentCountByConceptEmployeeId

    Activity name : GetDocumentCountByConceptEmployeeId

    Get a count of the number of documents in the dossier. Via Qwoater.

  • conceptEmployeeDossier.getDocumentsByConceptEmployeeId

    Activity name : GetDocumentsByConceptEmployeeId

    Get a list of documents within the concept employee's dossier (werknemerdossier). Via Qwoater.

  • conceptEmployeeDossier.postDocumentByConceptEmployeeId

    Activity name : PostDocumentByConceptEmployeeId

    Metadata: Possible options for fields of the type 'metadata' can be acquired(GET)by adding /metadata to the POST URL.

    Upload a document within the concept employee's dossier (werknemerdossier). Via Qwoater.

  • conceptEmployeeDossier.putDocumentByConceptEmployeeIdAndDocumentId

    Activity name: PutDocumentByConceptEmployeeIdAndDocumentId

    Edit the details for a document in the concept employee dossier

  • conceptEmployeeSelfService.getConceptEmployeeSelfServiceByConceptEmployeeId

    Activity name : GetConceptEmployeeSelfServiceByConceptEmployeeId

    Get the details of a Concept employee with regards to ESS access

  • conceptEmployeeSelfService.getConceptEmployeeSelfServiceByEmployerId

    Activity name : GetConceptEmployeeSelfServiceByEmployerId

    Get a list of all the Concept employee's and their status regarding to ESS (werknemer.loket).

  • contact.deleteContactByContactId

    Activity name : DeleteContactByContactId

    Delete an existing Contact (for an employee)

  • contact.getContactByContactId

    Activity name : GetContactByContactId

    Get the details of a single contact

  • contact.getContactsByEmployeeId

    Activity name : GetContactsByEmployeeId

    Get list of contacts for an employee

  • contact.postContactByEmployeeId

    Activity name : PostContactByEmployeeId

    Metadata : Possible options for fields of the type 'metadata' can be acquired (GET) by adding /metadata to the POST URL.

    Defaults : No default values

    Create a new contact for an employee

  • contact.putContactByContactId

    Activity name : PutContactByContactId

    Metadata : Possible options for fields of the type 'metadata' can be acquired (GET) by adding /metadata to the PUT URL.

    Edit the details of a contact

  • contactHistory.deleteAbsenceContactHistoryByAbsenceContactHistoryId

    Activity name : DeleteAbsenceContactHistoryByAbsenceContactHistoryId

    Delete an existing record from the contact history

  • contactHistory.getAbsenceContactHistoryByAbsenceContactHistoryId

    Activity name : GetAbsenceContactHistoryByAbsenceContactHistoryId

    Get the details of a contact

  • contactHistory.getAbsenceContactsHistoryByAbsenceId

    Activity name : GetAbsenceContactHistoryByAbsenceId

    Get the contacts history for a specific absence (verzuimmelding).

  • contactHistory.postAbsenceContactHistoryByAbsenceId

    Activity name : PostAbsenceContactHistoryByAbsenceId

    Metadata : Possible options for fields of the type 'metadata' can be acquired (GET) by adding /metadata to the POST URL.

    Defaults : Default values for a new object can be acquired by adding /defaults' to the POST URL.

  • contactHistory.putAbsenceContactHistoryByAbsenceContactHistoryId

    Activity name : PutAbsenceContactHistoryByAbsenceContactHistoryId

    Metadata : Possible options for fields of the type 'metadata' can be acquired (GET) by adding /metadata to the PUT URL.

    Edit the details of a contact history

  • contractCode.deleteContractCodeByContractCodeId

    Activity name : DeleteContractCodeByContractCodeId

    Delete an existing contract code record

  • contractCode.getContractCodeByContractCodeId

    Activity name : GetContractCodeByContractCodeId

    Get the details of a contract code

  • contractCode.getContractCodesByEmployerId

    Activity name : GetContractCodesByEmployerId

    Get a list of the contract codes for an employer.

    Note: The contract codes defined at the employer level can be used as value for the field contractCode in the WorkingHours and ConceptEmployee resource.

  • contractCode.postContractCodeByEmployerId

    Activity name : PostContractCodeByEmployerId

  • contractCode.putContractCodeByContractCodeId

    Activity name : PutContractCodeByContractCodeId

  • costPerHour.deleteCostPerHourByCostPerHourId

    Activity name : DeleteCostPerHourByCostPerHourId

    Delete an existing cost per hour record

  • costPerHour.getCostPerHourByCostPerHourId

    Activity name : GetCostPerHourByCostPerHourId

    Get the details of a cost per hour record

  • costPerHour.getCostPerHourByEmploymentId

    Activity name: GetCostPerHourByEmploymentId

    Get the list of costs per hour for an employment

  • costPerHour.postCostPerHourByEmploymentId

    Activity name : PostCostPerHourByEmploymentId

    Metadata: Possible options for fields of the type 'metadata' can be acquired(GET)by adding /metadata to the POST URL.

    Defaults: Defaults can be acquired(GET)by adding /defaults to the POST URL.

  • costPerHour.putCostperhourByCostperhourId

    Activity name : PutCostperhourByCostperhourId

    Metadata : No metadata.

  • createEmployment.postEmploymentByEmployeeId

    Activity name : PostEmploymentByEmployeeId

    Create an additional employment for an already existing employee.

    Please note that the creation of an Employment is not RESTful by design.

    In Loket, when a new Employee is created it will have to be created including its underlying Employment and its accessory resources. This specific endpoint is relevant in the following scenario: there is already an Employee with at least one Employment, and one wishes to create an additional Employment for that currently existing Employee. When successfully calling this endpoint, an Employment with its accessory resources will be created.

    Metadata :

    • Possible options (metadata) for generic fields of the type "metadata" can be acquired (GET) by adding /metadata to the URL.
    • Possible options dependent on a specific payrollAdministration can be acquired by adding /metadata/payrolladministration/{payrollAdministrationId} to the url.
    • Possible options for payGrade can be acquired by adding metadata/payrolladministration/{payrollAdministrationId}/payscale/{payScaleKey} to the url.

    A payGrade has time based values dictating the wage for a given period. These values can be acquired by performing another metadata request by adding /metadata/payrolladministration/{payrollAdministrationId}/payscale/{payScaleKey}/paygrade/{payGradeKey} to the url. This endpoint has the optional parameter "date" that may be used to specifying a measure date.

    Defaults : Default values for a new object can be acquired by adding /defaults to the URL.

    Default values that are dependent on the selected payroll administration can be acquired by adding ../providers/employers/employees/employments/defaults/payrolladministration/{payrollAdministrationId} to the URL.

    NonPayrollAdministrations For nonPayrollAdministrations the equivalent metaData-endpoints are also available as described above. Also, a defaults endpoint is available for the nonPayrollAdministration. Please note that this requires ../nonpayrolladministrations/{nonPayrollAdministrationId} in the path.

  • createEmployment.postTransitionCompensationEmploymentByEmploymentId

    Activity name : PostTransitionCompensationEmploymentByEmploymentId

    Create an additional employment for an already existing and terminated employment with the sole purpose to pay out a transition compensation.

  • customField.deleteCustomFieldByCustomFieldId

    Activity name : DeleteCustomFieldByCustomFieldId

    Delete an existing custom field record

  • customField.getCustomFieldByCustomFieldId

    Activity name : GetCustomFieldByCustomFieldId

    Get the details of a custom field

  • customField.getCustomFieldsByEmployerId

    Activity name : GetCustomFieldsByEmployerId

    Get a list of the custom fields for an employer.

    Note: The custom fields defined at the employer level can be used at the employee and employment level.

  • customField.postCustomFieldByEmployerId

    Activity name : PostCustomFieldByEmployerId

  • customField.putCustomFieldByCustomFieldId

    Activity name : PutCustomFieldByCustomFieldId

  • customHoliday.deleteCustomHolidayByCustomHolidayId

    Activity name : DeleteCustomHolidayByCustomHolidayId

    Delete an existing custom holiday record

  • customHoliday.getCustomHolidayByCustomHolidayId

    Activity name : GetCustomHolidayByCustomHolidayId

    Get the details of a custom holiday

  • customHoliday.getCustomHolidaysByEmployerId

    Activity name : GetCustomHolidaysByEmployerId

    Get a list of the custom holidays for an employer.

    Note: The custom holidays defined at the employer level can be used at the employee and employment level.

  • customHoliday.postCustomHolidayByEmployerId

    Activity name : PostCustomHolidayByEmployerId

  • customHoliday.putCustomHolidayByCustomHolidayId

    Activity name : PutCustomHolidayByCustomHolidayId

  • customNotification.deleteCustomNotificationByCustomNotificationId

    Activity name : DeleteCustomNotificationByCustomNotificationId

    Delete an existing custom notification record

  • customNotification.getCustomNotificationByCustomNotificationId

    Activity name : GetCustomNotificationByCustomNotificationId

    Get the details of a custom notification

  • customNotification.getCustomNotificationsByEmploymentId

    Activity name : GetCustomNotificationsByEmploymentId Get a list of the custom notifications of the employment. Note: custom notifications are user defined for a specific employment.

  • customNotification.postCustomNotificationByEmploymentId

    Activity name : PostCustomNotificationByEmploymentId

    Metadata: Possible options for fields of the type 'metadata' can be acquired(GET)by adding /metadata to the POST URL.

    Defaults: Default values for a new object can be acquired by adding /defaults' to the POST URL.

  • customNotification.putCustomNotificationByCustomNotificationId

    Activity name : PutCustomNotificationByCustomNotificationId

    Metadata : Possible options for fields of the type 'metadata' can be acquired (GET) by adding / metadata to the PUT URL.

  • dashboardLicenses.getDashboardLicensesByEmployerId

    Activity name : GetDashboardLicensesByEmployerId

    Get the list dashboard licenses

  • dashboardLicenses.putDashboardLicensesByEmployerId

    Activity name: PutDashboardLicensesByEmployerId

    Edit the dashboard licenses

    Metadata : There is no metadata endpoint for this resource.

  • dataNewBusiness.getDataNewBusinessFunctions

    Activity name : GetDataNewBusinessFunctions
    Get a list of functions known by Data New Business.

  • dataNewBusiness.getDataNewBusinessToken

    Activity name : GetDataNewBusinessToken

    Get a token for calling the Data New Business (DNB) API. DNB is a part of Van Spaendonck and with its API, DNB provides users data-based insights such as the salary checker.

  • dataNewBusiness.getDataNewBusinessTokenByEmployerId

    Activity name : GetDataNewBusinessTokenByEmployerId

    Get a token for calling the Data New Business (DNB) API. DNB is a part of Van Spaendonck and with its API, DNB provides users data-based insights such as the salary checker.

  • declarations.getDeclarationAuditTrailByDeclarationId

    Activity name : GetDeclarationAuditTrailByDeclarationId

    Get the audit trail of a declaration

  • declarations.getDeclarationsByDeclarationId

    Activity name : GetDeclarationsByDeclarationId

    Get the details of a declaration

  • declarations.getDeclarationsByEmploymentId

    Activity name : GetDeclarationsByEmploymentId

    Returns a list of declarations for the employments of the employer

  • declarations.getDeclarationsForEmployerId

    Activity name : GetDeclarationsByEmployerId

    Returns a list of declarations for the employments of the employer

  • declarations.patchProcessDeclarationsByDeclarationId

    Activity name : PatchProcessDeclarationsByDeclarationId

    Process approved declarations into the payrolling data.

    Please check the description of the status-field in this resource to read about the workflow of declarations.

  • declarations.patchReviewDeclarationsByDeclarationIds

    Activity name : PatchReviewDeclarationsByDeclarationIds

    Review (accept or reject) open declarations

    Please check the description of the status-field in this resource to read about the workflow of declarations.

  • declarationsAttachments.getAttachmentByDeclarationId

    Activity name : GetAttachmentByDeclarationId

    Download the attachment (via Qwoater) for the given declarationId. In case no attachment is know the service will return a 404.

  • declarationsAttachments.getDeclarationsWithAttachmentByEmployerId

    Activity name : GetDeclarationsWithAttachmentByEmployerId

    Get a list of all declarationId's of declarations that have an attachment to it.

    The attachment is stored in Qwoater, and thus on the background a call to Qwoater will be performed to check whether an attachment is available for a declaration.

    If an attachment is available then a call may be performed to the other endpoint to actually start downloading the attachment for this declaration.

  • departments.getDepartmentByDepartmentId

    Activity name: GetDepartmentByDepartmentId

    Get the details of department

  • departments.getDepartmentsByEmployerId

    Activity name : GetDepartmentsByEmployerId

    Get a list of all departments for the employer. This is the point where the departments available for use at employment level (organizational entity) are managed.

  • departments.getUserAccessibleDepartmentsByEmployerId

    Activity name : GetUserAccessibleDepartmentsByEmployerId

    Get a list of all departments for the employer, which are accesible for the current user.

  • departments.postDepartmentByEmployerId

    Activity name: PostDepartmentByEmployerId

    Create a department for an employer

    Metadata : Possible options for fields of the type 'metadata' can be acquired (GET) by adding /metadata to the POST URL.

    Defaults: No default values

  • departments.putDepartmentByDepartmentId

    Activity name: PutDepartmentByDepartmentId

    Edit the details for a department

    Metadata : Possible options for fields of the type 'metadata' can be acquired (GET) by adding /metadata to the POST URL.

  • deviatingAwfContribution.deleteDeviatingAwfContributionByDeviatingAwfContributionId

    Activity name: DeleteDeviatingAwfContributionByDeviatingAwfContributionId

    Delete a Deviating AWF contribution record for the employment

  • deviatingAwfContribution.getDeviatingAwfContributionByDeviatingAwfContributionId

    Activity name: GetDeviatingAwfContributionByDeviatingAwfContributionId

    Get the details of a Deviating AWF contributions record

  • deviatingAwfContribution.getDeviatingAwfContributionByEmploymentId

    Activity name: GetDeviatingAwfContributionsByEmploymentId Get the list of Deviating AWF contributions records for an employment

  • deviatingAwfContribution.postDeviatingAwfContributionByEmploymentId

    Activity name: PostDeviatingAwfContributionByEmploymentId Create a Deviating AWF contributions record for an employment

    Metadata: Possible options for fields of the type 'metadata' can be acquired(GET)by adding /metadata to the POST URL.

    Defaults: Default values for a new object can be acquired by adding /defaults' to the POST URL.

  • deviatingAwfContribution.putDeviatingAwfContributionByDeviatingAwfContributionId

    Activity name: PutDeviatingAwfContributionByDeviatingAwfContributionId Metadata : Possible options for fields of the type 'metadata' can be acquired (GET) by adding / metadata to the PUT URL.

    Edit the details for a Deviating AWF contribution record

  • deviatingHourlyWage.deleteDeviatingHourlyWageByDeviatingHourlyWageId

    Activity name : DeleteDeviatingHourlyWageByDeviatingHourlyWageId

    Delete an existing deviating hourly wage record

  • deviatingHourlyWage.getDeviatingHourlyWageByDeviatingHourlyWageId

    Activity name : GetDeviatingHourlyWageByDeviatingHourlyWageId

    Get the details of a deviating hourly wage

  • deviatingHourlyWage.getDeviatingHourlyWagesByEmploymentId

    Activity name : GetDeviatingHourlyWagesByEmploymentId

    Get a list of the deviating hourly wages of the employment.

    Note: Loket.nl has different ways to register deviating hourly wage.

  • deviatingHourlyWage.postDeviatingHourlyWageByEmploymentId

    Activity name : PostDeviatingHourlyWageByEmploymentId Metadata: Possible options for fields of the type 'metadata' can be acquired(GET)by adding /metadata to the POST URL. Defaults: Default values for a new object can be acquired by adding /defaults' to the POST URL.

  • deviatingHourlyWage.putDeviatingHourlyWageByDeviatingHourlyWageId

    Activity name : PutDeviatingHourlyWageByDeviatingHourlyWageId

    Metadata : No metadata as payrollComponent is read only in the PUT.

  • documentManagement.deleteCompleteDossierByEmployerId

    Activity name: DeleteCompleteDossierByEmployerId

    Delete all documents in the dossier of an employer and the underlying employments

  • documentManagement.getDossierAuthorizationsByEmployerId

    Activity name : GetDossierAuthorizationsByEmployerId

    Get the authorizations per role and per category. Via Qwoater.

  • documentManagement.postInitiateCompleteDossierByEmployerId

    Activity name: PostInitiateCompleteDossierByEmployerId

    Initiate the proces to generate a zip file containing the complete dossier. (via Qwoater)

  • documentManagement.putDossierAuthorizationsByEmployerId

    Activity name: PutDossierAuthorizationsByEmployerId

    Edit the authorizations. Categories not included in de request will be set to inaccessible for all roles.

  • documentTemplate.deleteDocumentTemplateByEmployerIdAndDocumentId

    Activity name: DeleteDocumentTemplateByEmployerIdAndDocumentId

    Delete a document template in the employer dossier

  • documentTemplate.getDocumentTemplateByEmployerIdAndDocumentId

    Activity name : GetDocumentTemplateByEmployerIdAndDocumentId

    Download the document template of a given template entry. Via Qwoater.

  • documentTemplate.getDocumentTemplatesByEmployerId

    Activity name : GetDocumentTemplatesByEmployerId

    Get a list of document templates within the employer dossier (werkgeverdossier). Via Qwoater. Note that the 'category' field contains the category of the template.

  • documentTemplate.postDocumentTemplateByEmployerId

    Activity name : PostDocumentTemplateByEmployerId

    Metadata: Possible options for fields of the type 'metadata' can be acquired(GET)by adding /metadata to the POST URL.

    Upload a document template within the employer dossier (werkgeverdossier). Via Qwoater.

  • documentTemplate.putDocumentTemplateByEmployerIdAndDocumentId

    Activity name: PutDocumentTemplateByEmployerIdAndDocumentId

    Edit the details for a document template in the employer dossier

  • downloadRequest.deleteDownloadRequestByDownloadRequestId

    Activity name: DeleteDownloadRequestByDownloadRequestId

    Delete a download request for the employment

  • downloadRequest.getDownloadRequestByDownloadRequestId

    Activity name: GetDownloadRequestByDownloadRequestId

    Get the details of a download request record

  • downloadRequest.getDownloadRequestsByBearerToken

    Activity name: GetDownloadRequestsByBearerToken

    Get the list of download requests for an employment

    Note: The module (product) has to be activited for all the employers the user has access to. The same holds true for the permissions (rechten) of the users for these employers.

  • downloadRequest.getFileByDownloadRequestId

    Activity name: GetFileByDownloadRequestId

    Download the file of a download request record

  • downloadRequest.postDownloadRequestByBearerToken

    Activity name: PostDownloadRequestByBearerToken

    Create a download request for an employment

  • education.deleteEducationByEducationId

    Activity name : DeleteEducationByEducationId

    Delete an existing Education (for an employee)

  • education.getEducationByEducationId

    Activity name : GetEducationByEducationId

    Get the details of a single education

  • education.getEducationsByEmployeeId

    Activity name : GetEducationsByEmployeeId

    Get list of educations for an employee

  • education.postEducationByEmployeeId

    Activity name : PostEducationByEmployeeId

    Metadata : Possible options for fields of the type 'metadata' can be acquired (GET) by adding /metadata to the POST URL.

    Defaults : No default values

    Create a new education for an employee

  • education.putEducationByEducationId

    Activity name : PutEducationByEducationId

    Metadata : Possible options for fields of the type 'metadata' can be acquired (GET) by adding /metadata to the PUT URL.

    Edit the details of a education

  • educationFurtherIndication.deleteEducationFurtherIndicationByEducationFurtherIndicationId

    Activity name : DeleteEducationFurtherIndicationByEducationFurtherIndicationId

    Delete an existing education further indication record

  • educationFurtherIndication.getEducationFurtherIndicationByEducationFurtherIndicationId

    Activity name : GetEducationFurtherIndicationByEducationFurtherIndicationId

    Get the details of an education further indication

  • educationFurtherIndication.getEducationFurtherIndicationsByEmployerId

    Activity name : GetEducationFurtherIndicationsByEmployerId

    Get a list of the education further indications for an employer.

    Note: The education further indications defined at the employer level can be used as value for the field furtherIndication in the Education resource at the employee level.

  • educationFurtherIndication.postEducationFurtherIndicationByEmployerId

    Activity name : PostEducationFurtherIndicationByEmployerId

  • educationFurtherIndication.putEducationFurtherIndicationByEducationFurtherIndicationId

    Activity name : PutEducationFurtherIndicationByEducationFurtherIndicationId

  • educationType.deleteEducationTypeByEducationTypeId

    Activity name : DeleteEducationTypeByEducationTypeId

    Delete an existing education type record

  • educationType.getEducationTypeByEducationTypeId

    Activity name : GetEducationTypeByEducationTypeId

    Get the details of an education type

  • educationType.getEducationTypesByEmployerId

    Activity name : GetEducationTypesByEmployerId

    Get a list of the education types for an employer.

    Note: The education types defined at the employer level can be used as value for the field typeOfEducation in the Education resource at the employee level.

  • educationType.postEducationTypeByEmployerId

    Activity name : PostEducationTypeByEmployerId

  • educationType.putEducationTypeByEducationTypeId

    Activity name : PutEducationTypeByEducationTypeId

  • emailIdentities.deleteEmailIdentityByEmailIdentityId

    Activity name: DeleteEmailIdentityByEmailIdentityId

    Delete an EmailIdentity for a provider. An EmailIdentity can only be deleted when it's not used in an emailTemplate.

  • emailIdentities.deleteProvidersEmployersEmailidentitiesEmailIdentityId

    Activity name: DeleteEmailIdentityByEmailIdentityId

    Delete an EmailIdentity for an employer. An EmailIdentity can only be deleted when it's not used in an emailTemplate.

  • emailIdentities.getEmailIdentitiesByEmployerId

    Activity name: GetEmailIdentitiesByEmployerId

    Get the list of EmailIdentities for an employer.

  • emailIdentities.getEmailIdentitiesByProviderId

    Activity name: GetEmailIdentitiesByProviderId

    Get the list of EmailIdentities for a provider.

  • emailIdentities.postEmailIdentityByEmployerId

    Activity name: PostEmailIdentityByEmployerId

    Create an EmailIdentity for an employer.

  • emailIdentities.postEmailIdentityByProviderId

    Activity name: PostEmailIdentityByProviderId

    Create an EmailIdentity for a provider.

  • emailIdentities.postSendEmployerTestemailByEmailIdentityId

    Activity name: PostSendEmployerTestemailByEmailIdentityId

    Send an email to test the email identity configuration.

  • emailIdentities.postSendProviderTestemailByEmailIdentityId

    Activity name: PostSendProviderTestemailByEmailIdentityId

    Send an email to test the email identity configuration.

  • emailIdentities.postVerifyEmailIdentityByEmployerId

    Activity name: PostVerifyEmailIdentityByEmployerId

    Verify an EmailIdentity for an employer. The verficationstatus will we saved and used by Loket when sending email.

  • emailIdentities.postVerifyEmailIdentityByProviderId

    Activity name: PostVerifyEmailIdentityByProviderId

    Verify an EmailIdentity for a provider. The verficationstatus will we saved and used by Loket when sending email.

  • emailTemplates.deleteEmailTemplateByEmployerIdAndEmailTemplateId

    Activity name : DeleteEmailTemplateByEmployerIdAndEmailTemplateId

    Delete an existing email template record

  • emailTemplates.getEmailTemplateByEmployerIdAndEmailTemplateId

    Activity name : GetEmailTemplateByEmployerIdAndEmailTemplateId

    Get the details of an email template. The available email template placeholders can be aquired by adding /metadata to the url.

  • emailtemplates.getEmailTemplateByProviderIdAndEmailTemplateId

    Activity name : GetEmailTemplateByProviderIdAndEmailTemplateId

    Get the details of an email template. The available email template placeholders can be aquired by adding /metadata to the url.

  • emailTemplates.getEmailTemplatesByEmployerId

    Activity name : GetEmailTemplatesByEmployerId

    Get a list of the email templates for an employer.

    Note: Email templates can be defined on employer, provider and loket level. This endpoint returns for each emailtype the email template which is currently in use for the employer.

  • emailtemplates.getEmailTemplatesByProviderId

    Activity name : GetEmailTemplatesByProviderId

    Get a list of the email templates for an provider.

    Note: Email templates can be defined on employer, provider and loket level. This endpoint returns for each emailtype the email template which is currently in use for the provider.

  • emailTemplates.putEmailTemplateByEmployerIdAndEmailTemplateId

    Activity name : PutEmailTemplateByEmployerIdAndEmailTemplateId

    Edit the email template. The subject, body and senderEmail can be editted.

  • employee.deleteEmployeePhotoByEmployeeId

    Activity name : DeleteEmployeePhotoByEmployeeId

    Photo of the employee to use as an avatar/profile picture

  • employee.getCitizenServiceNumberByEmployeeId

    Activity name : GetCitizenServiceNumberByEmployeeId

    Get the citizen service number of an employee. BSN is separately authorized in Loket and is therefore designed to have its own activities.

  • employee.getEmployeeByEmployeeId

    Activity name : GetEmployeeByEmployeeId

    Get the details of a single employee

  • employee.getEmployeePhotoByEmployeeId

    Activity name : GetEmployeePhotoByEmployeeId

    Photo of the employee to use as an avatar/profile picture

    Caching: This resource changes very infrequently and can be cached for a longer time.

  • employee.getEmployeePhotoByEmployeeIdAndVersion

    Activity name : GetEmployeePhotoByEmployeeIdAndVersion

    Photo of the employee to use as an avatar/profile picture

    Caching: This resource changes very infrequently and can be cached for a longer time.

  • employee.getEmployeesByEmployerId

    Activity name : GetEmployeesByEmployerId

    Get a list of all employees for the given employer

  • employee.patchRevokeEmployeeSelfServiceAccessByEmployeeId

    Activity name : PatchRevokeEmployeeSelfServiceAccessByEmployeeId

    This endpoint allows the user to set the 'revokeEmployeeSelfServiceAccessOn'. This date indicates on what day the access to WerknemerLoket (Employee Self Service) will be revoked (this is done by scheduled tasks that run during the night). This is particularly useful for situations where for example the employer wants to restrict access at a specific date in the future, for example 1st of May in the next year.

    The value may be set to NULL and thus clearing the date on which access would be revoked. Please note that this endpoint will not automatically 'unblock' an Employee, as that would require a specific action.

  • employee.postEmployeePhotoByEmployeeId

    Activity name : PostEmployeePhotoByEmployeeId

    Photo of the employee to use as an avatar/profile picture

  • employee.putCitizenServiceNumberByEmployeeId

    Activity name : PutCitizenServiceNumberByEmployeeId

    Update the citizen service number of an employee. BSN is separately authorized in Loket and is therefore designed to have its own activities.

  • employee.putEmployeeByEmployeeId

    Activity name : PutEmployeeByEmployeeId

    Edit the employee details
    Possible values for fields of the type 'metadata' can be acquired (GET) by adding /metadata to the URL

  • employeeBenefits.getBenifyUrlByEmployeeId

    Activity name : GetBenifyUrlByEmployeeId

    Get a URL to access the Benify portal for an employee.

  • employeeBenefits.getYourcampusUrlByUserId

    Activity name : GetYourcampusUrlByUserId

    Get a URL to access the Yourcampus portal for a user

  • employeeCustomField.deleteEmployeeCustomFieldByEmployeeCustomFieldId

    Activity name : DeleteEmployeeCustomFieldByEmployeeCustomFieldId

    Delete an existing custom field record

  • employeeCustomField.getEmployeeCustomFieldByEmployeeCustomFieldId

    Activity name : GetEmployeeCustomFieldByEmployeeCustomFieldId

    Get the details of a custom field

  • employeeCustomField.getEmployeeCustomFieldssByEmployeeId

    Activity name : GetEmployeeCustomFieldsByEmployeeId

    Get a list of the custom fields for an employee.

    Note: custom fields are user defined at the employer level.

  • employeeCustomField.postEmployeeCustomFieldByEmployeeId

    Activity name : PostEmployeeCustomFieldByEmployeeId

    Metadata: Possible options for fields of the type 'metadata' can be acquired (GET) by adding /metadata to the POST URL.

  • employeeCustomField.putEmployeeCustomFieldByEmployeeCustomFieldId

    Activity name : PutEmployeeCustomFieldByEmployeeCustomFieldId

    Metadata : No metadata available for this endpoint

  • employeeNotes.deleteEmployeeNoteByNoteId

    Activity name : DeleteEmployeeNoteByNoteId

    Delete an existing note record

  • employeeNotes.getEmployeeNoteByNoteId

    Activity name : GetEmployeeNoteByNoteId

    Get the details of a note

  • employeeNotes.getEmployeeNotesByEmployeeId

    Activity name : GetEmployeeNotesByEmployeeId

    Get a list of notes, available for the user, for the employee.

  • employeeNotes.postEmployeeNoteByEmployeeId

    Activity name : PostEmployeeNoteByEmployeeId

    Metadata: Possible options for fields of the type 'metadata' can be acquired(GET)by adding /metadata to the POST URL.

    Defaults: Default values for a new object can be acquired by adding /defaults' to the POST URL.

  • employeeNotes.putEmployeeNoteByNoteId

    Activity name : PutEmployeeNoteByNoteId

    Metadata : Possible options for fields of the type 'metadata' can be acquired (GET) by adding / metadata to the PUT URL.

  • employeeSelfService.getEmployeeSelfServiceByEmployeeId

    Activity name : GetEmployeeSelfServiceByEmployeeId

    Get the details of an employee with regards to ESS access

  • employeeSelfService.getEmployeeSelfServiceByEmployerId

    Activity name : GetEmployeeSelfServiceByEmployerId

    Get a list of all the employee's and their status regarding to ESS (werknemer.loket).

[...]
